$(document).ready(function() {
	var ID = helper.request.queryString("str");
	console.log(ID);
	/*tree下拉框效果*/
	$(".inpBox .tree").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
	});
	/*普通下拉框效果*/
	$(".inpBox .select").click(function() {
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".xl").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	$(".inpBox").mouseleave(function() {
		$(this).children(".addTree").hide();
		$(this).children(".xl_common").hide();
	})
	$(".xl_box").on("click", "li", function() {
		var obj = $(this).parent().parent().parent();
		obj.find("input").eq(0).val($(this).text());
		obj.find("input").eq(1).val($(this).attr("itemid"));
		obj.find(".xl_common").hide();
	})
	$("input[name='ltype']").click(function() {
		var val = $("input[name='ltype']:checked").val();
		if(val == '0') {
			$(".js").show();
		} else if(val == '1') {
			$(".js").hide();
		}
	})
	if($("#zrbmtree")) {
		getBM($("#zrbmtree"));
	}
	//获取部门
	var setting = {
		data: {
			key: {
				name: "F_DeptName"
			},
			simpleData: {
				enable: true,
				idKey: "F_DeptId",
				pIdKey: "F_ParentId",
				rootPId: 0
			}
		},
		callback: {
			onClick: zTreeOnClick
		}
	};

	function getBM(obj) {
		$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
			"token": $.cookie("token")
		}, function(result) {
			if(result.state.toLowerCase() == "success") {
				$.fn.zTree.init(obj, setting, result.data);
			}
		})
	}

	function zTreeOnClick(event, treeId, treeNode) {
		if(event) {
			event.stopPropagation();
		}
		var obj = $("#" + event.data.treeId).parent();
		obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
		obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
		obj.hide();
		getRY($(".clid"), $("#clbm").val());
	};
	//获取人员
	function getRY(obj, deptid) {
		obj.empty();
		obj.append('<li itemid="">--请选择--</li>');
		obj.parent().parent().find("input").eq(0).val("--请选择--");
		obj.parent().parent().find("input").eq(1).val("");
		$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
			"deptid": deptid,
			"token": $.cookie("token")
		}, function(result) {
			if(result.state.toLowerCase() == "success") {
				$(result.data).each(function(i, n) {
					obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
				})

				obj.find("li").click(function(event) {
					if(event) {
						event.stopPropagation();
					}
					$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
					$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
					$(this).parent().parent().hide();
				});
			}
		})
	}
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "WorkOrder/GetWorkOrder",
		async: true,
		dataType: 'json',
		data: {
			orderid: ID,
			"token": $.cookie("token")
		},
		success: function(data) {
			/*验证请求*/
			if(data.state == "success") {
				var con = data;
				var Str = con.data.data;
				console.log(Str);
				$("#cl_gdlx").text(GetTypeName(Str[0].Type));
				$("#cl_khxm").text(Str[0].Customer);
				$("#cl_khdh").text(Str[0].CustomerTel);
				$("#cl_gdnr").text(Str[0].Detail);
				//图片展示
				$('#cl_gdbh').text(Str[0].WorkOrderID);
				var Files = Str[0].File;
				console.log(Files);
				console.log(Str[0].IsAudit);
				$(' input[name="isAudit"][value="'+Str[0].IsAudit+'"]').prop("checked", "checked");//审核
				$(' input[name="ltypes"][value="'+Str[0].InfoTypeID+'"]').prop("checked", "checked");//审核
				$("#xl_box").val(Str[0].UnitID);
//				if(Files){
//					$(Files).each(function(i, n) {
//						$('<div class="img-box"><img src="' + n.F_FileUrl + '" alt="" class="image-item" /><div>').appendTo(".space");
//					})
//				}
//				

					if(Files){
							var a ;
							var b;
							$(Files).each(function(i, n) {
								a=n.F_FileType.split("\/")[0];
								b=n.F_FileName.split(".")[1];
								console.log(a);
								if(a=='image'){
									$('<div class="img-box"><a href="+' + n.F_FileUrl + '" download="'+n.F_FileName+'"><img src="' + n.F_FileUrl + '" alt="" class="image-item"  data-preview-group="1" /><span class="">'+b+'</span></a><div>').appendTo(".space");	
								}else{
									$('<div class="img-box "><a href="+' + n.F_FileUrl + '" download="'+n.F_FileName+'"><span class="">'+b+'</span></a><div>').appendTo(".space");	
							}
								
							})
						}
				//信息审核
//				

				//信息分类
			}
		}
	});
	$("#clgd").click(function() {
		var val = $("input[name='ltype']:checked").val();
		if(!val) {
			layer.confirm('请选择处理方式！', {
				btn: ['确定']
			});
			return;
		}
		if(val == '0') {
			if(!$("#clbm").val()) {
				layer.confirm('请选择接收部门！', {
					btn: ['确定']
				});
				return;
			}
		}
		if(!$("#cont").val()) {
			layer.confirm('请输入处理内容！', {
				btn: ['确定']
			});
			return;
		}
		$.post(huayi.config.callcenter_url + 'WorkOrder/DealWorkOrder', {
			orderid: ID,
			isend: val,
			clbm: $("#clbm").val(),
			clid: $("#clid").val(),
			cont: $("#cont").val(),
			isaudit: $("input[name='isAudit']:checked").val(),
			infotypeid: $("input[name='ltypes']:checked").val(),
			unitid: $("#xl_box").val(),
			"token": $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.initTable();
				parent.Hiden();
				parent.layer.msg("处理工单成功");
			}
		})
	})

})
$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag?flag=JBDW', {
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		$('<option value="">请选择</option>').appendTo("#xl_box");
		for(var i = 0; i < result.data.length; i++) {
			$('<option value="' + result.data[i].F_DictionaryValueId + '">' + result.data[i].F_Name + '</option>').appendTo("#xl_box");

		}

	}
})
//信息分类
$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag?flag=XXFL', {
	"token": $.cookie("token")
}, function(result) {
	console.log(result.data);
	if(result.state.toLowerCase() == "success") {
		var html = ""
		for(var i = 0; i < result.data.length; i++) {
			html += '<label style="font-weight: normal;">' +
				'<input type="radio" value="' + result.data[i].F_DictionaryValueId + '" name="ltypes"  /> ' + result.data[i].F_Name + '' +
				'</label>'
		}
		$(html).appendTo(".Message_box");
	}
})


function GetTypeName(val) {
	var str = '';
	switch(val + '') {
		case '1':
			str = "咨询";
			break;
		case '2':
			str = "报修服务";
			break;
		case '3':
			str = "投诉建议";
			break;
	}
	return str;
}